repos:
  - repo: local
    hooks:
      - id: flake-check
        name: Flake8 check
        entry: ./backend/linters/flake8.bash
        language: script
        types: [ file, python ]
        pass_filenames: false
      - id: black-check
        name: Black check
        entry: ./backend/linters/black-check.bash
        language: script
        types: [ python ]
        pass_filenames: false
      - id: isort-check
        name: isort check
        entry: ./backend/linters/isort-check.bash
        language: script
        types: [ python ]
        pass_filenames: false
